
Name:    libkdeedu
Summary: Libraries used by KDE Education applications 
Version: 4.8.3
Release: 1%{?dist}

# libkeduvocdocument is GPLv2+
# libqtmmlwidget is LGPLv2 or GPLv3 (see -static below)
License: GPLv2+
URL:     https://projects.kde.org/projects/kde/kdeedu/libkdeedu
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: ftp://ftp.kde.org/pub/kde/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= %{version}

Requires: kdelibs4%{?_isa} >= %{_kde4_version}

# when split occurred
Conflicts: kdeedu-libs < 4.7.0-10

%description
%{summary}.

%package devel
Summary:  Development files for %{name} 
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel 
%description devel
%{summary}.

%package static 
Summary:  Static libraries for %{name}
License: LGPLv2 or GPLv3
Requires: %{name}-devel%{?_isa} = %{version}-%{release}
%description static 
%{summary}, including libqtmmlwidget.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

mkdir -p %{buildroot}%{_kde4_appsdir}/libkdeedu


%post
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%files
%doc AUTHORS COPYING COPYING.LIB README 
%{_kde4_libdir}/libkeduvocdocument.so.4*
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_appsdir}/libkdeedu/
%{_kde4_appsdir}/kvtml/

%files devel
%{_kde4_libdir}/cmake/libkdeedu/
%{_kde4_libdir}/libkeduvocdocument.so
%dir %{_kde4_includedir}/libkdeedu/
%{_kde4_includedir}/libkdeedu/*keduvoc*.h
%{_kde4_includedir}/libkdeedu/sharedkvtmlfiles.h

%files static
%{_kde4_includedir}/libkdeedu/qtmml/
%{_kde4_libdir}/libqtmmlwidget.a


%changelog
* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.2-1
- 4.8.2

* Mon Mar 05 2012 Radek Novacek <rnovacek@redhat.com> - 4.8.1-1
- 4.8.1

* Fri Jan 20 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.0-1
- 4.8.0

* Wed Jan 04 2012 Radek Novacek <rnovacek@redhat.com> - 4.7.97-1
- 4.7.97

* Thu Dec 22 2011 Radek Novacek <rnovacek@redhat.com> - 4.7.95-1
- 4.7.95

* Sun Dec 04 2011 Rex Dieter <rdieter@fedoraproject.org> - 4.7.90-1
- 4.7.90

* Fri Nov 25 2011 Jaroslav Reznik <jreznik@redhat.com> 4.7.80-1
- 4.7.80 (beta 1)

* Sat Oct 29 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.3-1
- 4.7.3

* Tue Oct 04 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.2-1
- 4.7.2

* Fri Sep 16 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-1
- 4.7.1

* Wed Sep 14 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.0-11
- -static subpkg for libqtmmlwidget.a

* Tue Aug 30 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.0-10
- first try
